/*---------------------------------------------------------------------------
File:         			ArrowCanvas.java
Package:                        JFLAP Version 3.1
Author:			        Ted Hung
                                
Description of Contents:	Contains class ArrowCanvas.
				
--------------------------------------------------------------------------*/

/* 
 * Susan H. Rodger, Magda Procopiuc, Octavian Procopiuc, Eric Gramond, Ted Hung
 * Computer Science Department
 * Duke University
 * August 1999
 * Supported by National Science Foundation DUE-9596002, DUE-9555084,
 *  and DUE-9752583
 *
 * Copyright (c) 1999
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the author.  The name of the author may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

package flap;

import java.awt.*;

/**
 * draws an arrow given the dimensions of the canvas
 */
public class ArrowCanvas extends Canvas
{
   /**
    * initializes the canvas with the given width and height
    */
   public ArrowCanvas(int width, int height)
   {
      super();
      setSize(width, height);
   }

   public void paint(Graphics g)
   {
      Dimension d = getSize();

      g.drawLine(0, d.height/2, d.width, d.height/2);
      g.drawLine(d.width, d.height/2, d.width - d.height/2, 0);
      g.drawLine(d.width, d.height/2, d.width - d.height/2, d.height);

   }
}

