/*---------------------------------------------------------------------------
File:         			Lambda.java
Package:                        JFLAP Version 3.0
Author:			        Eric Gramond 
                                
Description of Contents:	Contains class Lambda.
				
--------------------------------------------------------------------------*/

/* 
 * Susan H. Rodger, Magda Procopiuc, Octavian Procopiuc, Eric Gramond
 * Computer Science Department
 * Duke University
 * June 1998
 * Supported by National Science Foundation DUE-9596002 and DUE-9555084.
 *
 * Copyright (c) 1998
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the author.  The name of the author may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

package flap;

import java.util.*;
import java.awt.*;
import java.io.*;
import java.awt.image.*;
import java.awt.event.*;


/**
 * this is a lamda (epsilon) (nothing) for grammars. used to stick inside rules.
 */

public class Lambda extends GrammarRightHandToken {
    
    /**
     * creates a new lambda
     */
    public Lambda(String contents) {
	super("lambda");
    }

    /**
     * creates a lamda. no input needed, since a lambda is a lambda is nothing
     */
    public Lambda() {
	super("lambda");
    }
    
    /**
     * lambdas show up black if colors are used
     */
    public Color getColor() {
	return Color.blue;
    }
    /**
     *  type is Lambda. easier to tell the difference with a Variable this way
     */
    public String getType() {
	return "Lambda";
    }
    
}
