/*---------------------------------------------------------------------------
File:         			ToGrammar.java
Package:                        JFLAP Version 3.0
Author:			        Eric Gramond 
                                
Description of Contents:	Contains class ToGrammar.
				
--------------------------------------------------------------------------*/

/* 
 * Susan H. Rodger, Magda Procopiuc, Octavian Procopiuc, Eric Gramond
 * Computer Science Department
 * Duke University
 * June 1998
 * Supported by National Science Foundation DUE-9596002 and DUE-9555084.
 *
 * Copyright (c) 1998
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the author.  The name of the author may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

package flap;


import	java.util.*;
import  java.awt.*;
import  java.awt.event.*;

/**
  * This is the class that handles converting an FSA to a grammar. The grammar will
  * be regular if there are no lambda transitions.
  */ 
public abstract class ToGrammar
{
  protected Desktop d;

  public ToGrammar(Desktop desk)
  {
      d = desk;
  }

  public abstract Grammar toGramm() throws BadInputException;

  public abstract Vector stepNext();
  
}
